Smart Proxy - Bug #26642

Proxy tracking breaks POST data
04/18/2019 07:35 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Core
Target version:
Difficulty: trivial Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/647,
https://github.com/theforeman/smart-pro
xy/pull/651
Description

My work and Ivan's review in smart proxy dynflow core revealed nasty bug in our logging stack in smart proxy. This luckily only hits
when FOREMAN_PROXY_TRACE env variable is set to true which is only for debugging purposes. Rack input (StringlO) is read
however it is never rewinded back, therefore later on the data is empty therefore POST/PUT services do not work correctly.
Additionally, time tracking code can lead to nil error during exceptions.

Associated revisions

Revision 8546¢29d - 05/04/2019 02:26 PM - Lukas Zapletal
Fixes #26642 - logging post data fix

Revision 6dedd0fc - 05/19/2019 08:04 PM - Ewoud Kohl van Wijngaarden

Refs #26642 - Correct path logging
In 8546¢29d0a9af9de7653b80e22abafc7b7b5ef89 the 'Started' log line

started to use REQUEST_PATH. This completes it by also logging the
'Finished' line with a matching path.

History

#1 - 04/18/2019 07:36 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/647 added

#2 - 05/04/2019 02:26 PM - Anonymous
- Fixed in Releases 1.23.0 added

#3 - 05/04/2019 03:02 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset 8546c29d0a9af9de7653b80e22abafc7b7b5ef89.

#4 - 05/17/2019 02:14 PM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/651 added

05/20/2024

1/1



https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/8546c29d0a9af9de7653b80e22a6afc7b7b5ef89
http://www.tcpdf.org

